Savings

Create a new Savings Program Level

POST
/savings-programs/{savingsProgram}/levels

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

savingsProgram*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/savings-programs/497f6eca-6276-4993-bfeb-53cbbbba6f08/levels" \  -H "Content-Type: application/json" \  -d '{    "level": 1,    "rewardValue": 0  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "savingsProgramId": "e85e6f4f-93e7-4ca2-b1e5-e56a2346eaa3",  "level": 0,  "rewardValue": "string",  "isActive": true,  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}
{  "message": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}
{  "message": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}
{  "message": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}
{  "message": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}
{  "message": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}
{  "message": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}